New: AI video tools. Cut, clip, caption and dub your videos. See all video tools →
Settings

Set UI language

PUT
/api/v1/settings/ui-language

Set the UI language code and switch the i18n locale immediately.

Query Parameters

language*Language

ISO language code (e.g. 'en', 'de', 'ja')

Response Body

Successful Response

application/json
  1. response
success*Success

Whether the operation succeeded

changed*Changed

Whether the language was actually changed

Example Request
curl -X PUT 'http://127.0.0.1:8100/api/v1/settings/ui-language?language=string'
Example Response
{  "success": true,  "changed": true}